Package net.shibboleth.idp.plugin

# Interface IdPPlugin

All Superinterfaces:
  `Plugin<IdPModule>`

All Known Implementing Classes:
  `FirstPartyIdPPlugin`, `PropertyDrivenIdPPlugin`

public interface IdPPlugin extends Plugin<IdPModule>
This interface is exported (via the service API) by every IdP plugin.

Since:
  4.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.profile.plugin.Plugin

`Plugin.Package`

## Method Summary

### Methods inherited from interface net.shibboleth.profile.plugin.Plugin

`getDisableOnRemoval, getEnableOnInstall, getLicenseFileLocation, getMajorVersion, getMinorVersion, getModuleInfoSources, getPackages, getPatchVersion, getPluginId, getRequiredModules, getUpdateURLs`